Page MenuHomePhabricator

remotefilelog: only prefetch history in linkrevfixup
ClosedPublic

Authored by pulkit on Jan 21 2020, 4:59 PM.

Details

Summary

The linknode is part of the history, not the data, no need to force prefetch
the blobs.

The commit is copied from
https://github.com/facebookexperimental/eden/commit/03b66077798c33d7acc2d39ce6496d919bd7d11c

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

pulkit created this revision.Jan 21 2020, 4:59 PM
marmoute accepted this revision.Feb 5 2020, 6:23 PM
marmoute added a subscriber: marmoute.

looks okay.

durin42 requested changes to this revision.Feb 10 2020, 4:56 PM
durin42 added a subscriber: durin42.

Terrible damage:

cd tests && python run-tests.py  test-remotefilelog-linknodes.t
running 1 tests using 1 parallel processes

--- .../tests/test-remotefilelog-linknodes.t
+++ .../hgtest/tests/test-remotefilelog-linknodes.t.err
@@ -173,7 +173,6 @@
   32e6611f6149 xx2-fake-rebased public x
   0632994590a8 xx public x
   b292c1e3311f x public x
-  1 files fetched over 1 fetches - (1 misses, 0.00% hit ratio) over *s (glob)

 # But not after that
   $ hg log -f x -T '{node|short} {desc} {phase} {files}\n'
@@ -184,11 +183,5 @@

 # Check the contents of the remote blob for correct linknode
   $ hg debugremotefilelog $CACHEDIR/master/11/f6ad8ec52a2984abaafd7c3b516503785c2072/d4a3ed9310e5bd9887e3bf779da5077efab28216
-  size: 6 bytes
-  path: $TESTTMP/hgcache/master/11/f6ad8ec52a2984abaafd7c3b516503785c2072/d4a3ed9310e5bd9887e3bf779da5077efab28216
-  key: d4a3ed9310e5
-
-          node =>           p1            p2      linknode     copyfrom
-  d4a3ed9310e5 => aee31534993a  000000000000  32e6611f6149
-  aee31534993a => 1406e7411862  000000000000  0632994590a8
-  1406e7411862 => 000000000000  000000000000  b292c1e3311f
+  abort: $ENOENT$: '$TESTTMP/hgcache/master/11/f6ad8ec52a2984abaafd7c3b516503785c2072/d4a3ed9310e5bd9887e3bf779da5077efab28216'
+  [255]

ERROR: test-remotefilelog-linknodes.t output changed
This revision now requires changes to proceed.Feb 10 2020, 4:56 PM
This revision was not accepted when it landed; it landed in state Needs Revision.
This revision was automatically updated to reflect the committed changes.